<?php

/****************************************************************************
"SQLite" class 
****************************************************************************/
/////////////////////////////////////////////////////////////////////////////
class SQLite
{
// member variable
private		$m_Count;
private		$m_DBPath;
private		$m_DB;

// public functions
//=======================================================================
//!	construct
//-----------------------------------------------------------------------
function __construct
		(
		$path
		)
{
	$this->m_Count	= 0;
	$this->m_DBPath = $path;
}
//=======================================================================
//!	destruct
//-----------------------------------------------------------------------
function __destruct()
{
	if( $this->m_DB == true )
	{
		sqlite_close( $this->m_DB );
		$this->m_DB	= false;
	}
}
//=======================================================================
//!	open
//!	@retval			---
//-----------------------------------------------------------------------
public function Open()
{
	$this->m_Count++;
	if( $this->m_DB == true )
		return true;
	$this->m_DB = sqlite_open( $this->m_DBPath );
	if( $this->m_DB == false )
		return false;
	return true;
}
//=======================================================================
//!	close
//!	@retval			---
//-----------------------------------------------------------------------
public function Close()
{
	$this->m_Count--;
	if( $this->m_DB == true && $this->m_Count == 0 )
	{
		sqlite_close( $this->m_DB );
		$this->m_DB	= false;
	}
}
//=======================================================================
//!	query
//!	@retval			---
//-----------------------------------------------------------------------
public function Query
		(
		$query
		)
{
	return @sqlite_query( $this->m_DB , $query );
}
//=======================================================================
//!	array_query
//!	@retval			---
//-----------------------------------------------------------------------
public function ArrayQuery
		(
		$query
		)
{
	return sqlite_array_query( $this->m_DB , $query );
}
};

?>